
Redmine - Defect #25822

'Spent time' report is timezone-dependent (which it should not)

2017-05-12 07:10 - Sergey User

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.2

Description

It appears that 'Spent time' report is timezone-dependent. That means it may show data differently depending on current TZ setting

of the user. This results in weird artifacts, like:

1. Selecting 'past month' filter may still show two months (some hours which were reported at the end of the past/beginning of the

current month will show either in past month or current month, depending on the TZ setting)

2. 'past month', if broken down by 'Months', may show more than one month.

This does not appear to be correct - Dates should be accounted for regardless of current TZ setting. For instance, if user reported

Date as 2017-03-01, it should remain the same under all settings, and may only be visible for this month (and not in February 2017,

for instance).

Related issues:

Is duplicate of Redmine - Defect #16482: Wrong search query for timelog, when... New

History

#1 - 2017-06-10 14:02 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #16482.

#2 - 2017-06-10 14:02 - Toshi MARUYAMA

- Is duplicate of Defect #16482: Wrong search query for timelog, when timezone not UTC added
